summaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
authorRobby Workman <rw@rlworkman.net>2010-05-11 15:18:38 +0200
committerErik Hanson <erik@slackbuilds.org>2010-05-11 15:18:38 +0200
commitf5633c63aae837ef25c3829de423138a507c0e38 (patch)
tree630836e9176b1492fd995876355225ea9c24e166 /system
parente470b8994be4040f8f8610b52f960374a02346d3 (diff)
downloadslackbuilds-f5633c63aae837ef25c3829de423138a507c0e38.tar.gz
system/hal-info: Initial import
Diffstat (limited to 'system')
-rw-r--r--system/hal-info/README18
-rw-r--r--system/hal-info/hal-info.SlackBuild61
-rw-r--r--system/hal-info/hal-info.info8
-rw-r--r--system/hal-info/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/system/hal-info/README b/system/hal-info/README
new file mode 100644
index 0000000000..7593870c27
--- /dev/null
+++ b/system/hal-info/README
@@ -0,0 +1,18 @@
+hal-info is just a small hal package that provides hardware data and quirks.
+These quirks are currently things like what mice support reporting battery
+status, what music players are supported and what cameras are detected.
+This could also include a list of display adaptors that need resuming or a
+list of broken batteries that might explode.
+
+Why split the information data from the main tarball?
+Well, policy and probing information is still in the daemon package where
+they belong. Hal is released every few months with updated dependencies and
+lots of snazzy new features. Users love this, stable distributions hate it,
+and don't update HAL, missing the newest hardware quirk updates. This means
+that new hardware often won't work out of the box until the next version of
+the distro is released.
+
+For example, stable distro 'x' ships HAL 0.5.9 with no intention of updating
+it other than for security fixes. Stable distro 'x' does however update from
+hal-info-20070516 to hal-info-{date} as there are no new features, minimal risk
+of breaking, and lots of chance that more hardware that didn't work now will.
diff --git a/system/hal-info/hal-info.SlackBuild b/system/hal-info/hal-info.SlackBuild
new file mode 100644
index 0000000000..e85c352958
--- /dev/null
+++ b/system/hal-info/hal-info.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for hal-info
+
+# Copyright 2007 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hal-info
+VERSION=20070516
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/hal-info/hal-info.info b/system/hal-info/hal-info.info
new file mode 100644
index 0000000000..7e49311f5b
--- /dev/null
+++ b/system/hal-info/hal-info.info
@@ -0,0 +1,8 @@
+PRGNAM="hal-info"
+VERSION="20070516"
+HOMEPAGE="http://freedesktop.org/wiki/Software/hal"
+DOWNLOAD="http://people.freedesktop.org/~david/dist/hal-info-20070516.tar.gz"
+MD5SUM="fa66344b7853f7d0460ffb604051d24d"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="elohim"
diff --git a/system/hal-info/slack-desc b/system/hal-info/slack-desc
new file mode 100644
index 0000000000..fee3fec0cd
--- /dev/null
+++ b/system/hal-info/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hal-info: hal-info (device information for HAL)
+hal-info:
+hal-info: hal-info contains device information for HAL, a
+hal-info: Hardware Abstraction Layer
+hal-info:
+hal-info: See http://www.freedesktop.org/Software/hal for lots of
+hal-info: documentation, mailing lists, etcetera...
+hal-info:
+hal-info:
+hal-info:
+hal-info: